org.eclipse.ecf.remoteservice.servlet

## Class HttpServiceComponent

- java.lang.Object
- - org.eclipse.ecf.remoteservice.servlet.HttpServiceComponent

    public abstract class HttpServiceComponent
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`HttpServiceComponent()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`protected void` `activate(BundleContext ctxt)`
`protected void` `bindHttpService(org.osgi.service.http.HttpService httpService)`
`protected void` `deactivate()`
`BundleContext` `getContext()`
`static HttpServiceComponent` `getDefault()`
`Collection<org.osgi.service.http.HttpService>` `getHttpServices()`
`<T> T` `getService(Class<T> service)`
`void` `registerServlet(Class service, javax.servlet.Servlet servlet, Dictionary dictionary, org.osgi.service.http.HttpContext httpContext)`
`void` `registerServlet(String path, javax.servlet.Servlet servlet, Dictionary dictionary, org.osgi.service.http.HttpContext httpContext)`
`protected void` `unbindHttpService(org.osgi.service.http.HttpService httpService)`
`void` `unregisterServlet(Class service)`
`void` `unregisterServlet(String path)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HttpServiceComponent

    public HttpServiceComponent()

### Method Detail

#### getDefault

    public static HttpServiceComponent getDefault()

#### getHttpServices

    public Collection<org.osgi.service.http.HttpService> getHttpServices()

#### bindHttpService

    protected void bindHttpService(org.osgi.service.http.HttpService httpService)

#### unbindHttpService

    protected void unbindHttpService(org.osgi.service.http.HttpService httpService)

#### getContext

    public BundleContext getContext()

#### activate

    protected void activate(BundleContext ctxt)
                     throws Exception

Throws:
  `Exception`

#### deactivate

    protected void deactivate()
                       throws Exception

Throws:
  `Exception`

#### registerServlet

    public void registerServlet(Class service,
                                javax.servlet.Servlet servlet,
                                Dictionary dictionary,
                                org.osgi.service.http.HttpContext httpContext)
                         throws javax.servlet.ServletException,
                                org.osgi.service.http.NamespaceException

Throws:
  `javax.servlet.ServletException`
  `org.osgi.service.http.NamespaceException`

#### registerServlet

    public void registerServlet(String path,
                                javax.servlet.Servlet servlet,
                                Dictionary dictionary,
                                org.osgi.service.http.HttpContext httpContext)
                         throws javax.servlet.ServletException,
                                org.osgi.service.http.NamespaceException

Throws:
  `javax.servlet.ServletException`
  `org.osgi.service.http.NamespaceException`

#### unregisterServlet

    public void unregisterServlet(String path)

#### unregisterServlet

    public void unregisterServlet(Class service)

#### getService

    public <T> T getService(Class<T> service)